public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/service_identity/
Date: Fri, 19 Feb 2016 09:45:28 +0000 (UTC)	[thread overview]
Message-ID: <1455875123.56a751463aeb77ca28cb18012f9dc350e36cf8eb.jlec@gentoo> (raw)

commit:     56a751463aeb77ca28cb18012f9dc350e36cf8eb
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 19 09:43:10 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 09:45:23 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56a75146

dev-python/service_identity: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/service_identity/Manifest               |  1 +
 .../service_identity-16.0.0.ebuild                 | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/service_identity/Manifest b/dev-python/service_identity/Manifest
index 4d5625d..52e1635 100644
--- a/dev-python/service_identity/Manifest
+++ b/dev-python/service_identity/Manifest
@@ -1 +1,2 @@
 DIST service_identity-14.0.0.tar.gz 26033 SHA256 3105a319a7c558490666694f599be0c377ad54824eefb404cde4ce49e74a4f5a SHA512 d504ad388defb38a86ca82c8ff9582dbb664a929e4b4ee7f6732b2da5326c33b1764384a8d849972f83ae7800c775daf90c1f3fbc61b8d2c29294f44c7cd36d2 WHIRLPOOL bc6f3cba3e3bec83c527df60dc3cd4387d74baab5a88b5c2cb731661804139c78c86074902060b64e402364ac641b4b2617c98448d4a9e6b367dc0f9d6cd5dac
+DIST service_identity-16.0.0.tar.gz 30270 SHA256 0630e222f59f91f3db498be46b1d879ff220955d7bbad719a5cb9ad14e3c3036 SHA512 0ffa28b3dece2415a058ec159e4f85f3e86c0de520ed5d6933ec49edca91ccc79a57893ace40d5441455791433828ab55a939e90335dfdee8582627e33a896ae WHIRLPOOL 598c046bf0e7428d5d3c34e8315bc67a857377af105bddc7d07fde01eaaffb4be62026fdffab6c81eaaff897290ab735c5f3ad3f7f9c4a1bd9f932a39cef9aaf

diff --git a/dev-python/service_identity/service_identity-16.0.0.ebuild b/dev-python/service_identity/service_identity-16.0.0.ebuild
new file mode 100644
index 0000000..4486647
--- /dev/null
+++ b/dev-python/service_identity/service_identity-16.0.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Service identity verification for pyOpenSSL"
+HOMEPAGE="https://github.com/pyca/service_identity"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE=" MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/pyasn1[${PYTHON_USEDEP}]
+	dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+	>=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
+	dev-python/attrs[${PYTHON_USEDEP}]"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+	# Prevent un-needed download during build
+	sed -e "/^    'sphinx.ext.intersphinx',/d" -i docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	py.test -v -v -x || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-02-19  9:45 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-19  9:45 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-06-14 16:11 [gentoo-commits] repo/gentoo:master commit in: dev-python/service_identity/ Michał Górny
2023-05-27 15:21 Sam James
2022-07-04  6:57 Michał Górny
2022-06-13  8:23 Michał Górny
2022-06-13  7:07 Agostino Sarubbo
2022-05-28 10:45 Michał Górny
2022-05-12 16:17 Michał Górny
2022-05-12 16:17 Michał Górny
2022-02-07  9:35 Sam James
2021-11-28 14:42 Michał Górny
2021-06-14 22:30 Michał Górny
2021-06-14 22:18 Sam James
2021-05-20 20:11 Michał Górny
2021-05-12  7:13 Michał Górny
2021-05-10  7:24 Michał Górny
2020-11-28 11:34 Sam James
2020-09-20 10:47 Michał Górny
2020-05-25 19:48 Michał Górny
2020-03-29  8:19 Michał Górny
2020-03-29  8:19 Michał Górny
2020-03-29  8:19 Michał Górny
2019-12-29 20:03 Sergei Trofimovich
2019-12-24 14:13 Mikle Kolyada
2019-12-15 14:15 Agostino Sarubbo
2019-12-15 13:53 Agostino Sarubbo
2019-12-15 13:36 Sergei Trofimovich
2019-12-15 13:24 Sergei Trofimovich
2019-12-15 11:38 Agostino Sarubbo
2019-12-02  2:48 Aaron Bauman
2019-11-25 12:35 Michał Górny
2019-11-22 11:44 Michał Górny
2019-11-22 11:44 Michał Górny
2019-06-25 12:09 Michael Haubenwallner
2019-01-29 13:35 Mikle Kolyada
2018-07-16 19:57 Michał Górny
2018-05-04 13:57 Mart Raudsepp
2018-04-06  5:23 Matt Turner
2018-02-22  6:22 Michał Górny
2018-02-02  9:05 Fabian Groffen
2017-08-01 18:52 Brian Dolbec
2017-02-23 13:58 Michael Weber
2017-02-12 22:20 Zac Medico
2017-01-25 14:16 Tobias Klausmann
2017-01-24 11:46 Agostino Sarubbo
2017-01-23 16:27 Agostino Sarubbo
2017-01-23  5:56 Jeroen Roovers
2017-01-22 16:27 Agostino Sarubbo
2017-01-21 20:33 Agostino Sarubbo
2017-01-21 18:54 Agostino Sarubbo
2017-01-21 17:27 Agostino Sarubbo
2015-11-18 15:40 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1455875123.56a751463aeb77ca28cb18012f9dc350e36cf8eb.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox